// CBREAKTHROUGH.H

#if !defined ( _CBREAKTHROUGH_H_ )

#define _CBREAKTHROUGH_H_

const int m_iBreakThrough64Score[20] = { 160, 140, 120, 90, 80, 70, 60, 55, 50, 45, 40, 35, 30, 25, 20, 15, 10, 5, 0, 0 } ;

class CBreakThrough64
{

public:

	CBreakThrough64() ;
	~CBreakThrough64() ;

	int			m_iRow[64] ;
	BITBOARD	m_bbOPPathWhite[64], m_bbOPPathBlack[64] ;

	BITBOARD	OPPathWhiteNext(int) ;
	BITBOARD	OPPathBlackNext(int) ;

	void		BreakThrough64_Init(void) ;

	int			WhiteBreakThrough(PTSTACK, bool*, bool) ;
	bool		bWhiteBreakThrough(PTSTACK) ;
	int			BlackBreakThrough(PTSTACK, bool*, bool) ;
	bool		bBlackBreakThrough(PTSTACK) ;

} ;

#endif	// _CBREAKTHROUGH_H_